Skip to content
Start here

List Target Environments

client.vulnerabilityScanner.targetEnvironments.list(TargetEnvironmentListParams { account_id, page, per_page } params, RequestOptionsoptions?): V4PagePaginationArray<TargetEnvironmentListResponse { id, name, target, description } >
GET/accounts/{account_id}/vuln_scanner/target_environments

Returns all target environments for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: TargetEnvironmentListParams { account_id, page, per_page }
account_id: string

Path param: Identifier.

maxLength32
page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of results per page.

maximum50
minimum5
ReturnsExpand Collapse
TargetEnvironmentListResponse { id, name, target, description }
id: string

Target environment identifier.

formatuuid
name: string

Human-readable name.

target: Target { type, zone_tag }

Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

type: "zone"
zone_tag: string

Cloudflare zone tag. The zone must belong to the account.

maxLength32
description?: string | null

Optional description providing additional context.

List Target Environments

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const targetEnvironmentListResponse of client.vulnerabilityScanner.targetEnvironments.list(
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
)) {
  console.log(targetEnvironmentListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "Production Zone",
      "target": {
        "type": "zone",
        "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
      },
      "description": "Main production environment"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "Production Zone",
      "target": {
        "type": "zone",
        "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
      },
      "description": "Main production environment"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}